from Products.Archetypes.atapi import process_types, listTypes

from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from content import *

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from permissions import ADD_CONTENT_PERMISSION

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    content_types, constructors, ftis = process_types(listTypes(PROJECTNAME), PROJECTNAME)

    utils.ContentInit(
            "%s Content" % PROJECTNAME,
            content_types      = content_types,
            permission         = ADD_CONTENT_PERMISSION,
            extra_constructors = constructors,
            fti                = ftis,
            ).initialize(context)    
    